GET
/
catalog
/
product-detail
Get product detail
curl --request GET \
  --url https://api.example.com/catalog/product-detail
import requests

url = "https://api.example.com/catalog/product-detail"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/catalog/product-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "category": {
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "parent_id": "<string>",
      "resources": [
        {
          "checksum": "<string>",
          "id": "<string>",
          "mime": "<string>",
          "size": 123,
          "url": "<string>"
        }
      ]
    },
    "currency": "<string>",
    "description": "<string>",
    "id": "<string>",
    "is_enabled": true,
    "is_favorite": true,
    "name": "<string>",
    "promotions": [
      {
        "description": "<string>",
        "id": "<string>",
        "title": "<string>"
      }
    ],
    "rating": {
      "breakdown": {},
      "score": 123,
      "total": 123
    },
    "resources": [
      {
        "checksum": "<string>",
        "id": "<string>",
        "mime": "<string>",
        "size": 123,
        "url": "<string>"
      }
    ],
    "seller_id": "<string>",
    "skus": [
      {
        "attributes": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ],
        "id": "<string>",
        "original_price": 123,
        "price": 123,
        "stock": 123,
        "taken": 123
      }
    ],
    "slug": "<string>",
    "specifications": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ],
    "tags": [
      "<string>"
    ]
  },
  "error": {
    "code": "<string>",
    "http_status": 123,
    "message": "<string>"
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Query Parameters

id
string

Product SPU ID (UUID)

slug
string

Product slug

Response

OK

data
object
error
object